Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class NO_MEMORY

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.omg.CORBA.SystemException
                      org.omg.CORBA.NO_MEMORY

All Implemented Interfaces:
  Serializable

    public final class NO_MEMORY

extends SystemException

Exception thrown when the ORB run time has run out of memory.

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

Since:
  JDK1.2
See Also:
  documentation on Java IDL exceptions

Field Summary

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`NO_MEMORY()` Constructs a `NO_MEMORY` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
`NO_MEMORY(int minor, CompletionStatus completed)` Constructs a `NO_MEMORY` exception with the specified minor code and completion status.
`NO_MEMORY(String s)` Constructs a `NO_MEMORY` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
`NO_MEMORY(String s, int minor, CompletionStatus completed)` Constructs a `NO_MEMORY` exception with the specified description message, minor code, and completion status.

Method Summary

Methods inherited from class org.omg.CORBA.SystemException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NO_MEMORY

    public NO_MEMORY()

  Constructs a `NO_MEMORY` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

### NO_MEMORY

    public NO_MEMORY(String s)

  Constructs a `NO_MEMORY` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.

  Parameters:
    `s` - the String containing a description message

### NO_MEMORY

    public NO_MEMORY(int minor,
                     CompletionStatus completed)

  Constructs a `NO_MEMORY` exception with the specified minor code and completion status.

  Parameters:
    `minor` - the minor code
    `completed` - the completion status

### NO_MEMORY

    public NO_MEMORY(String s,
                     int minor,
                     CompletionStatus completed)

  Constructs a `NO_MEMORY` exception with the specified description message, minor code, and completion status.

  Parameters:
    `s` - the String containing a description message
    `minor` - the minor code
    `completed` - the completion status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.